# -*- coding: utf-8 -*-
from arkindex_worker.worker import ElementsWorker


class Demo(ElementsWorker):
    def process_element(self, element):
        print("Demo processing element", element)

        size = 200
        w = element.zone.image.width / 2
        h = element.zone.image.height / 2
        self.api_client.request(
            "CreateElement",
            body={
                "corpus": element.corpus.id,
                "type": "crash",
                "parent": element.id,
                "name": "test bastien",
                "image": element.zone.image.id,
                "polygon": [
                    [w - size, h - size],
                    [w + size, h - size],
                    [w + size, h + size],
                    [w - size, h + size],
                ],
            },
        )


if __name__ == "__main__":
    Demo(description="My demo worker !").run()
